Passa al contenuto principale

Create private cloud VM

POST 

/api/v3/servers/:server_id/private-cloud/virtual-machines

Required scopes: server:write

Create private cloud VM. The response is 409 when the private cloud already has the maximum number of virtual machines, its daily backup space is already in use, it has no licences left for the template, or another operation is in progress.

Request​

Responses​

Accepted: the operation goes on in the background, as the returned Task

Response Headers
    Location

    URL of the Task: /api/v3/tasks/{task_id}. Reading it requires the purchases:read scope